<script lang="ts">
  import pveSpiceConsoleImg from '$lib/assets/images/knowledge-base/spice/pve-spice-console.png';
  import spiceConnectionDownloadImg from '$lib/assets/images/knowledge-base/spice/spice-connection-download.png';
</script>

<section class="m-12 lg:m-24">
  <h2 class="mt-10 text-3xl lg:text-3xl font-bold text-secondary">SPICE Console Usage</h2>
  <p>
    The SPICE console viewer is a better way to interact with your VM than the usual VNC viewer.
    It's faster, allows for dual monitors & adjustable screen resolution, and allows for copy/paste of
    commands from your host PC.
  </p>

  <h3 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary">Download</h3>
  <p>
    To use the SPICE viewer you'll first need to download the desktop client.
    Download for <a href="https://releases.pagure.org/virt-viewer/virt-viewer-x64-11.0-1.0.msi">Windows</a>
    or <a href="https://www.spice-space.org/osx-client.html" >Mac</a>.
  </p>

  <h3 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary">Proxmox Usage</h3>
  <p>
    Once the SPICE viewer is installed on your host system, open the console by selecting SPICE in
    the top right corner of your web browser.
  </p>

  <img src={pveSpiceConsoleImg} alt="SPICE console selection in Proxmox" />

  <p>
    A connection file should be downloaded to your system.
    Opening this file should launch the SPICE viewer in a new window.
  </p>

  <img src={spiceConnectionDownloadImg} alt="SPICE connection file download" />
</section>
